Bug 247540 - Package name capitalization breaks with convention - add Provides: thunar
Package name capitalization breaks with convention - add Provides: thunar
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-09 16:10 EDT by Jonathan Underwood
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-27 23:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-07-09 16:10:45 EDT
Description of problem:
Naming the package Thunar rather than thunar breaks with the general lower case
convention of Fedora packages (except where it's expressly needed) - would you
consider adding a Provides: thunar to the package?
Comment 1 Kevin Fenzi 2007-07-09 16:42:56 EDT
Well, upstream calls the package "Thunar" in all it's docs, the source tar.gz is
named "Thunar", so thats what I called the package in Fedora. 

"When naming a package, the name should match the upstream tarball or project
name from which this software came." :) 

In any case I have no problem with adding a Provides for the lowercase version
of the name. I think thats a great idea... will try and push out an update soon. 

Thanks for pointing this out!
Comment 2 Jonathan Underwood 2007-07-09 17:34:24 EDT
Thanks kevin... am not sure it's worth an update specifically for this issue,
but would be a nice addition when something else forces a package update. :).
Comment 3 Kevin Fenzi 2007-07-09 18:21:44 EDT
Yeah, I don't know that it's important enough for an update. 
Xfce 4.4.2 should be out before too long, and there will likely be a new Thunar
in there, so I might hold off and update then. 
Comment 4 Kevin Fenzi 2007-08-27 23:57:30 EDT
Well, still no 4.4.2, but I did add this in when I rebuilt Thunar in devel for
buildid and new license tags. 

I have the change also queued for fc6/f7, so the next update for some other
reason there they should have it too. 

I'm going to go ahead and close this bug now. 
If you spot some problem or issue, feel free to re-open or file a new bug. 
Comment 5 Jonathan Underwood 2007-08-28 05:25:23 EDT
OK, great stuff, thanks very much Kevin.

Note You need to log in before you can comment on or make changes to this bug.